
Automated Build Generator - Enhancement #1858
Use -l option for svn log
04/25/2014 03:44 PM - J. Wienke

Status: Resolved Start date: 04/25/2014
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Project Analysis Estimated time: 0.00 hour
Target version: 0.2
Description

Use -l as a command line option for svn log to reduce the log parsing time.

Associated revisions
Revision 25c33bba - 04/27/2014 02:02 AM - J. Moringen

Limit number of analyzed revisions in src/analysis/subversion.lisp

fixes #1858

This will hopefully speed up log analysis for subversion projects with
long histories.

    -  src/analysis/subversion.lisp (analyze pathname eql :svn/authors): use
  --limit commandline option to limit number of analyzed, and therefore
  transferred, revisions

History
#1 - 04/25/2014 03:45 PM - J. Wienke
- Description updated

#2 - 04/25/2014 06:25 PM - J. Moringen
- Target version set to 0.2

#3 - 04/27/2014 02:10 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:25c33bba9f30a230db1c3dabadf1ed26fc046e18.
